For the complete documentation index, see llms.txt. This page is also available as Markdown.

API - How to Relate a Custom Object to a Contact

How to relate an existing Custom Object to a contact.

Route

POST /customobjects/link?apitoken=seu-token&i=sua-instancia

Query Params

Key
Description

i

Identifier of your instance, subdomain.

apitoken

API token.

Body

Key
Description

objectId

ID of the created Object. If it was created via API, it is returned by this call.

linkType

Must be "lead".

targetId

ID of the contact within Sprinthub that will be associated with the Custom Object.

amount

Must be 1.

Testing Custom Object Relationship

The request was sent using the software Postman. The expected response is an object representing the relationship between the Object and the lead.

Request to associate a Custom Object with a contact.

Checking in the Lead's Full Data

When associating a Custom Object with a contact, it should look like in the image below.

Custom Object tab within the contact.

Last updated

Was this helpful?